POST /discord/channels/{channelId}/messages/{messageId}/crosspost

Publish an announcement-channel message to every following server (400 before Discord is called when the channel is not an announcement channel)

POST
/discord/channels/{channelId}/messages/{messageId}/crosspost

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

channelId*string

Discord channel id (snowflake)

messageId*string

Discord message id

Query Parameters

accountId*string

Discord account id bound to this server (or the channel's server)

Response Body

Done

application/json
  1. response
data?

The crossposted message

Example Request
curl -X POST 'https://example.com/api/v1/discord/channels/string/messages/string/crosspost?accountId=string'
Example Response
{  "data": {}}